Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2212221 - icecat: FTBFS in Fedora Rawhide
Summary: icecat: FTBFS in Fedora Rawhide
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: icecat
Version: rawhide
Hardware: Unspecified
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Antonio T. sagitter
QA Contact: Fedora Extras Quality Assurance
URL: https://koschei.fedoraproject.org/pac...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2023-06-04 20:50 UTC by Orion Poplawski
Modified: 2023-06-20 00:35 UTC (History)
1 user (show)

Fixed In Version: icecat-102.12.0-4.rh1.fc37 icecat-102.12.0-4.rh1.fc38
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-06-20 00:34:23 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Orion Poplawski 2023-06-04 20:50:30 UTC
Description of problem:
Package icecat fails to build from source in Fedora Rawhide.

Version-Release number of selected component (if applicable):
102.9.0-1.rh1.fc39

Steps to Reproduce:
koji build --scratch f39 icecat-102.9.0-1.rh1.fc39.src.rpm

Additional info:
This package is tracked by Koschei. See:
https://koschei.fedoraproject.org/package/icecat

Reproducible: Always




+ cp -p /usr/share/bookmarks/default-bookmarks.html objdir/dist/bin/browser/chrome/en-US/locale/browser/bookmarks.html
cp: cannot create regular file 'objdir/dist/bin/browser/chrome/en-US/locale/browser/bookmarks.html': No such file or directory
error: Bad exit status from /var/tmp/rpm-tmp.4Y2Ula (%install)

Comment 1 Antonio T. sagitter 2023-06-07 18:19:46 UTC
 6:45.09      Running `/builddir/build/BUILD/icecat-102.12.0/objdir/release/build/neqo-crypto-f96a88505f363cb3/build-script-build`
 6:45.09 [neqo-crypto 0.5.7] cargo:rustc-link-lib=dylib=nssutil3
 6:45.09 [neqo-crypto 0.5.7] cargo:rustc-link-lib=dylib=nss3
 6:45.09 [neqo-crypto 0.5.7] cargo:rustc-link-lib=dylib=ssl3
 6:45.09 [neqo-crypto 0.5.7] cargo:rustc-link-lib=dylib=plds4
 6:45.09 [neqo-crypto 0.5.7] cargo:rustc-link-lib=dylib=plc4
 6:45.09 [neqo-crypto 0.5.7] cargo:rustc-link-lib=dylib=nspr4
 6:45.09 [neqo-crypto 0.5.7] cargo:rustc-link-search=native=/builddir/build/BUILD/icecat-102.12.0/objdir/dist/bin
 6:45.09 [neqo-crypto 0.5.7] cargo:rustc-link-search=native=/builddir/build/BUILD/icecat-102.12.0/objdir/security/nss/lib/nss/nss_nss3
 6:45.09 [neqo-crypto 0.5.7] cargo:rustc-link-search=native=/builddir/build/BUILD/icecat-102.12.0/objdir/security/nss/lib/ssl/ssl_ssl3
 6:45.10 [neqo-crypto 0.5.7] cargo:rustc-link-search=native=/builddir/build/BUILD/icecat-102.12.0/objdir/config/external/nspr/pr
 6:45.10 [neqo-crypto 0.5.7] cargo:rerun-if-changed=/builddir/build/BUILD/icecat-102.12.0/objdir/netwerk/socket/neqo/extra-bindgen-flags
 6:45.10 [neqo-crypto 0.5.7] cargo:rerun-if-changed=bindings/bindings.toml
 6:45.10 [neqo-crypto 0.5.7] cargo:rerun-if-changed=bindings/nspr_io.h
 6:45.25 [neqo-crypto 0.5.7] clang version 16.0.4 (Fedora 16.0.4-1.fc39)
 6:45.25 [neqo-crypto 0.5.7] Target: x86_64-redhat-linux-gnu
 6:45.25 [neqo-crypto 0.5.7] Thread model: posix
 6:45.25 [neqo-crypto 0.5.7] InstalledDir:
 6:45.25 [neqo-crypto 0.5.7] Found candidate GCC installation: /../lib/gcc/x86_64-redhat-linux/13
 6:45.25 [neqo-crypto 0.5.7] Selected GCC installation: /../lib/gcc/x86_64-redhat-linux/13
 6:45.25 [neqo-crypto 0.5.7] Candidate multilib: .;@m64
 6:45.25 [neqo-crypto 0.5.7] Candidate multilib: 32;@m32
 6:45.25 [neqo-crypto 0.5.7] Selected multilib: .;@m64
 6:45.25 [neqo-crypto 0.5.7] ignoring nonexistent directory "lib64/clang/16/include"
 6:45.25 [neqo-crypto 0.5.7] ignoring nonexistent directory "/../lib/gcc/x86_64-redhat-linux/13/../../../../x86_64-redhat-linux/include"
 6:45.25 [neqo-crypto 0.5.7] ignoring nonexistent directory "/include"
 6:45.25 [neqo-crypto 0.5.7] ignoring duplicate directory "/usr/include/nspr4"
 6:45.25 [neqo-crypto 0.5.7] ignoring duplicate directory "/usr/include/nspr4"
 6:45.25 [neqo-crypto 0.5.7] ignoring duplicate directory "/usr/bin/../lib/gcc/x86_64-redhat-linux/13/../../../../include/c++/13"
 6:45.25 [neqo-crypto 0.5.7] ignoring duplicate directory "/usr/bin/../lib/gcc/x86_64-redhat-linux/13/../../../../include/c++/13/x86_64-redhat-linux"
 6:45.25 [neqo-crypto 0.5.7] ignoring duplicate directory "/usr/bin/../lib/gcc/x86_64-redhat-linux/13/../../../../include/c++/13/backward"
 6:45.25 [neqo-crypto 0.5.7] ignoring duplicate directory "/usr/local/include"
 6:45.25 [neqo-crypto 0.5.7] ignoring duplicate directory "/usr/include"
 6:45.25 [neqo-crypto 0.5.7] #include "..." search starts here:
 6:45.25 [neqo-crypto 0.5.7] #include <...> search starts here:
 6:45.25 [neqo-crypto 0.5.7]  /usr/include/nspr4
 6:45.25 [neqo-crypto 0.5.7]  /usr/include/pixman-1
 6:45.25 [neqo-crypto 0.5.7]  /usr/include/nss3
 6:45.25 [neqo-crypto 0.5.7]  /builddir/build/BUILD/icecat-102.12.0/objdir/dist/include/nss
 6:45.25 [neqo-crypto 0.5.7]  /usr/bin/../lib/gcc/x86_64-redhat-linux/13/../../../../include/c++/13
 6:45.25 [neqo-crypto 0.5.7]  /usr/bin/../lib/gcc/x86_64-redhat-linux/13/../../../../include/c++/13/x86_64-redhat-linux
 6:45.25 [neqo-crypto 0.5.7]  /usr/bin/../lib/gcc/x86_64-redhat-linux/13/../../../../include/c++/13/backward
 6:45.25 [neqo-crypto 0.5.7]  /usr/lib64/clang/16/include
 6:45.25 [neqo-crypto 0.5.7]  /usr/local/include
 6:45.25 [neqo-crypto 0.5.7]  /usr/include
 6:45.25 [neqo-crypto 0.5.7] End of search list.
 6:45.26 devtools/shared/heapsnapshot/HeapSnapshotTempFileHelperParent.o
 6:45.26 /usr/lib64/ccache/g++ -o HeapSnapshot.o -c  -I/builddir/build/BUILD/icecat-102.12.0/objdir/dist/stl_wrappers -I/builddir/build/BUILD/icecat-102.12.0/objdir/dist/system_wrappers -include /builddir/build/BUILD/icecat-102.12.0/config/gcc_hidden.h -U_FORTIFY_SOURCE -D_FORTIFY_SOURCE=2 -fstack-protector-strong -DNDEBUG=1 -DTRIMMED=1 -DOS_POSIX=1 -DOS_LINUX=1 -DGOOGLE_PROTOBUF_NO_RTTI -DMOZ_HAS_MOZGLUE -DMOZILLA_INTERNAL_API -DIMPL_LIBXUL -DSTATIC_EXPORTABLE_JS_API -I/builddir/build/BUILD/icecat-102.12.0/devtools/shared/heapsnapshot -I/builddir/build/BUILD/icecat-102.12.0/objdir/devtools/shared/heapsnapshot -I/builddir/build/BUILD/icecat-102.12.0/objdir/ipc/ipdl/_ipdlheaders -I/builddir/build/BUILD/icecat-102.12.0/ipc/chromium/src -I/builddir/build/BUILD/icecat-102.12.0/objdir/dist/include -I/usr/include/nspr4 -I/usr/include/nss3 -I/usr/include/nspr4 -I/builddir/build/BUILD/icecat-102.12.0/objdir/dist/include/nss -I/usr/include/pixman-1 -DMOZILLA_CLIENT -include /builddir/build/BUILD/icecat-102.12.0/objdir/mozilla-config.h -Wall -Wempty-body -Wignored-qualifiers -Wpointer-arith -Wsign-compare -Wtype-limits -Wunreachable-code -Wno-invalid-offsetof -Wc++2a-compat -Wduplicated-cond -Wimplicit-fallthrough -Wno-error=maybe-uninitialized -Wno-error=deprecated-declarations -Wno-error=array-bounds -Wno-error=coverage-mismatch -Wno-error=free-nonheap-object -Wno-multistatement-macros -Wno-error=class-memaccess -Wno-error=deprecated-copy -Wformat -Wformat-overflow=2 -Wno-psabi -fno-sized-deallocation -fno-aligned-new -O2 -fexceptions -g -grecord-gcc-switches -pipe -Wp,-U_FORTIFY_SOURCE,-D_FORTIFY_SOURCE=3 -Wp,-D_GLIBCXX_ASSERTIONS -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -fstack-protector-strong -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1 -m64 -mtune=generic -fasynchronous-unwind-tables -fstack-clash-protection -fcf-protection -fno-omit-frame-pointer -mno-omit-leaf-frame-pointer -fPIC -Wl,-z,relro -Wl,-z,now -DNSS_PKCS11_3_0_STRICT -fpermissive -fno-exceptions -fPIC -fno-rtti -ffunction-sections -fdata-sections -fno-exceptions -fno-math-errno -pthread -pipe -gdwarf-4 -freorder-blocks -O2 -fomit-frame-pointer -funwind-tables -fno-strict-aliasing -ffp-contract=off  -MD -MP -MF .deps/HeapSnapshot.o.pp   /builddir/build/BUILD/icecat-102.12.0/devtools/shared/heapsnapshot/HeapSnapshot.cpp
 6:45.35 [neqo-crypto 0.5.7] thread 'main' panicked at '"PRIPv6Addr_(unnamed_union_at_/usr/include/nspr4/prio_h_131_5)" is not a valid Ident', /builddir/build/BUILD/icecat-102.12.0/third_party/rust/proc-macro2/src/fallback.rs:701:9
 6:45.35 [neqo-crypto 0.5.7] stack backtrace:
 6:45.35 [neqo-crypto 0.5.7]    0:     0x561767f03d4a - <std::sys_common::backtrace::_print::DisplayBacktrace as core::fmt::Display>::fmt::h526f93850a5e4fb9
 6:45.35 [neqo-crypto 0.5.7]    1:     0x561767f28d7f - core::fmt::write::hf9f1d84e75ce8c4d
 6:45.35 [neqo-crypto 0.5.7]    2:     0x561767f01085 - std::io::Write::write_fmt::ha4c0d48582a60523
 6:45.35 [neqo-crypto 0.5.7]    3:     0x561767f03b15 - std::sys_common::backtrace::print::hda85975a7ed67442
 6:45.35 [neqo-crypto 0.5.7]    4:     0x561767f051be - std::panicking::default_hook::{{closure}}::he2be7713d3cc14fe
 6:45.35 [neqo-crypto 0.5.7]    5:     0x561767f04f65 - std::panicking::default_hook::hfa796e92b40a869f
 6:45.35 [neqo-crypto 0.5.7]    6:     0x561767f0571e - std::panicking::rust_panic_with_hook::h253179e48f28055d
 6:45.35 [neqo-crypto 0.5.7]    7:     0x561767f05619 - std::panicking::begin_panic_handler::{{closure}}::h327587c24c7b0da4
 6:45.35 [neqo-crypto 0.5.7]    8:     0x561767f041b6 - std::sys_common::backtrace::__rust_end_short_backtrace::h9e43198c69a5d86f
 6:45.35 [neqo-crypto 0.5.7]    9:     0x561767f05372 - rust_begin_unwind
 6:45.35 [neqo-crypto 0.5.7]   10:     0x561767d4f043 - core::panicking::panic_fmt::hcb68d5aca74c2040
 6:45.35 [neqo-crypto 0.5.7]   11:     0x561767ecc924 - proc_macro2::fallback::Ident::_new::h97045a8a9bc139d0
 6:45.35 [neqo-crypto 0.5.7]   12:     0x561767ecf7b7 - proc_macro2::Ident::new::h33aa42ab54f0009a
 6:45.35 [neqo-crypto 0.5.7]   13:     0x561767d82419 - bindgen::ir::context::BindgenContext::rust_ident::h183ddeaca095ad97
 6:45.35 [neqo-crypto 0.5.7]   14:     0x561767df30bd - <bindgen::ir::comp::CompInfo as bindgen::codegen::CodeGenerator>::codegen::h62fdb7af6a244e95
 6:45.35 [neqo-crypto 0.5.7]   15:     0x561767dcd320 - <bindgen::ir::item::Item as bindgen::codegen::CodeGenerator>::codegen::h37db9e0bc60ee523
 6:45.35 [neqo-crypto 0.5.7]   16:     0x561767df57ba - <bindgen::ir::comp::CompInfo as bindgen::codegen::CodeGenerator>::codegen::h62fdb7af6a244e95
 6:45.35 [neqo-crypto 0.5.7]   17:     0x561767dcd320 - <bindgen::ir::item::Item as bindgen::codegen::CodeGenerator>::codegen::h37db9e0bc60ee523
 6:45.35 [neqo-crypto 0.5.7]   18:     0x561767daa851 - <bindgen::ir::module::Module as bindgen::codegen::CodeGenerator>::codegen::hc4d86bd5d32c8e3c
 6:45.35 [neqo-crypto 0.5.7]   19:     0x561767dcd2f2 - <bindgen::ir::item::Item as bindgen::codegen::CodeGenerator>::codegen::h37db9e0bc60ee523
 6:45.35 [neqo-crypto 0.5.7]   20:     0x561767d82f38 - bindgen::ir::context::BindgenContext::gen::h6a842ea5db57de91
 6:45.35 [neqo-crypto 0.5.7]   21:     0x561767d9323e - bindgen::Builder::generate::hb66cb568a0f5ddd3
 6:45.35 [neqo-crypto 0.5.7]   22:     0x561767d59dc7 - build_script_build::main::h872d2dff68c72101
 6:45.35 [neqo-crypto 0.5.7]   23:     0x561767d5ad03 - std::sys_common::backtrace::__rust_begin_short_backtrace::h090a5dc46bfdca84
 6:45.35 [neqo-crypto 0.5.7]   24:     0x561767d5ad19 - std::rt::lang_start::{{closure}}::hd45963ea3637a094
 6:45.35 [neqo-crypto 0.5.7]   25:     0x561767efd22e - std::rt::lang_start_internal::hafa9672ae30aabe2
 6:45.35 [neqo-crypto 0.5.7]   26:     0x561767d5a795 - main
 6:45.35 [neqo-crypto 0.5.7]   27:     0x7efe32a2808a - __libc_start_call_main
 6:45.35 [neqo-crypto 0.5.7]   28:     0x7efe32a2814b - __libc_start_main_impl
 6:45.35 [neqo-crypto 0.5.7]   29:     0x561767d4f635 - _start
 6:45.35 [neqo-crypto 0.5.7]   30:                0x0 - <unknown>
 6:45.36 error: failed to run custom build command for `neqo-crypto v0.5.7 (https://github.com/mozilla/neqo?tag=v0.5.7#f3de275b)`
 6:45.36 note: To improve backtraces for build dependencies, set the CARGO_PROFILE_RELEASE_BUILD_OVERRIDE_DEBUG=true environment variable to enable debug information generation.
 6:45.36 Caused by:
 6:45.36   process didn't exit successfully: `/builddir/build/BUILD/icecat-102.12.0/objdir/release/build/neqo-crypto-f96a88505f363cb3/build-script-build` (exit status: 101)
 6:45.36   --- stdout
 6:45.36   cargo:rustc-link-lib=dylib=nssutil3
 6:45.36   cargo:rustc-link-lib=dylib=nss3
 6:45.36   cargo:rustc-link-lib=dylib=ssl3
 6:45.36   cargo:rustc-link-lib=dylib=plds4
 6:45.36   cargo:rustc-link-lib=dylib=plc4
 6:45.36   cargo:rustc-link-lib=dylib=nspr4
 6:45.36   cargo:rustc-link-search=native=/builddir/build/BUILD/icecat-102.12.0/objdir/dist/bin
 6:45.36   cargo:rustc-link-search=native=/builddir/build/BUILD/icecat-102.12.0/objdir/security/nss/lib/nss/nss_nss3
 6:45.36   cargo:rustc-link-search=native=/builddir/build/BUILD/icecat-102.12.0/objdir/security/nss/lib/ssl/ssl_ssl3
 6:45.36   cargo:rustc-link-search=native=/builddir/build/BUILD/icecat-102.12.0/objdir/config/external/nspr/pr
 6:45.36   cargo:rerun-if-changed=/builddir/build/BUILD/icecat-102.12.0/objdir/netwerk/socket/neqo/extra-bindgen-flags
 6:45.36   cargo:rerun-if-changed=bindings/bindings.toml
 6:45.36   cargo:rerun-if-changed=bindings/nspr_io.h
 6:45.36   --- stderr
 6:45.36   clang version 16.0.4 (Fedora 16.0.4-1.fc39)
 6:45.36   Target: x86_64-redhat-linux-gnu
 6:45.36   Thread model: posix
 6:45.36   InstalledDir:
 6:45.36   Found candidate GCC installation: /../lib/gcc/x86_64-redhat-linux/13
 6:45.36   Selected GCC installation: /../lib/gcc/x86_64-redhat-linux/13
 6:45.36   Candidate multilib: .;@m64
 6:45.36   Candidate multilib: 32;@m32
 6:45.36   Selected multilib: .;@m64
 6:45.36   ignoring nonexistent directory "lib64/clang/16/include"
 6:45.36   ignoring nonexistent directory "/../lib/gcc/x86_64-redhat-linux/13/../../../../x86_64-redhat-linux/include"
 6:45.36   ignoring nonexistent directory "/include"
 6:45.36   ignoring duplicate directory "/usr/include/nspr4"
 6:45.36   ignoring duplicate directory "/usr/include/nspr4"
 6:45.36   ignoring duplicate directory "/usr/bin/../lib/gcc/x86_64-redhat-linux/13/../../../../include/c++/13"
 6:45.36   ignoring duplicate directory "/usr/bin/../lib/gcc/x86_64-redhat-linux/13/../../../../include/c++/13/x86_64-redhat-linux"
 6:45.36   ignoring duplicate directory "/usr/bin/../lib/gcc/x86_64-redhat-linux/13/../../../../include/c++/13/backward"
 6:45.36   ignoring duplicate directory "/usr/local/include"
 6:45.36   ignoring duplicate directory "/usr/include"
 6:45.36   #include "..." search starts here:
 6:45.36   #include <...> search starts here:
 6:45.36    /usr/include/nspr4
 6:45.37    /usr/include/pixman-1
 6:45.37    /usr/include/nss3
 6:45.37    /builddir/build/BUILD/icecat-102.12.0/objdir/dist/include/nss
 6:45.37    /usr/bin/../lib/gcc/x86_64-redhat-linux/13/../../../../include/c++/13
 6:45.37    /usr/bin/../lib/gcc/x86_64-redhat-linux/13/../../../../include/c++/13/x86_64-redhat-linux
 6:45.37    /usr/bin/../lib/gcc/x86_64-redhat-linux/13/../../../../include/c++/13/backward
 6:45.37    /usr/lib64/clang/16/include
 6:45.37    /usr/local/include
 6:45.37    /usr/include
 6:45.37   End of search list.
 6:45.37   thread 'main' panicked at '"PRIPv6Addr_(unnamed_union_at_/usr/include/nspr4/prio_h_131_5)" is not a valid Ident', /builddir/build/BUILD/icecat-102.12.0/third_party/rust/proc-macro2/src/fallback.rs:701:9
 6:45.37   stack backtrace:
 6:45.37      0:     0x561767f03d4a - <std::sys_common::backtrace::_print::DisplayBacktrace as core::fmt::Display>::fmt::h526f93850a5e4fb9
 6:45.37      1:     0x561767f28d7f - core::fmt::write::hf9f1d84e75ce8c4d
 6:45.37      2:     0x561767f01085 - std::io::Write::write_fmt::ha4c0d48582a60523
 6:45.37      3:     0x561767f03b15 - std::sys_common::backtrace::print::hda85975a7ed67442
 6:45.37      4:     0x561767f051be - std::panicking::default_hook::{{closure}}::he2be7713d3cc14fe
 6:45.37      5:     0x561767f04f65 - std::panicking::default_hook::hfa796e92b40a869f
 6:45.37      6:     0x561767f0571e - std::panicking::rust_panic_with_hook::h253179e48f28055d
 6:45.37      7:     0x561767f05619 - std::panicking::begin_panic_handler::{{closure}}::h327587c24c7b0da4
 6:45.37      8:     0x561767f041b6 - std::sys_common::backtrace::__rust_end_short_backtrace::h9e43198c69a5d86f
 6:45.37      9:     0x561767f05372 - rust_begin_unwind
 6:45.37     10:     0x561767d4f043 - core::panicking::panic_fmt::hcb68d5aca74c2040
 6:45.37     11:     0x561767ecc924 - proc_macro2::fallback::Ident::_new::h97045a8a9bc139d0
 6:45.37     12:     0x561767ecf7b7 - proc_macro2::Ident::new::h33aa42ab54f0009a
 6:45.37     13:     0x561767d82419 - bindgen::ir::context::BindgenContext::rust_ident::h183ddeaca095ad97
 6:45.37     14:     0x561767df30bd - <bindgen::ir::comp::CompInfo as bindgen::codegen::CodeGenerator>::codegen::h62fdb7af6a244e95
 6:45.37     15:     0x561767dcd320 - <bindgen::ir::item::Item as bindgen::codegen::CodeGenerator>::codegen::h37db9e0bc60ee523
 6:45.37     16:     0x561767df57ba - <bindgen::ir::comp::CompInfo as bindgen::codegen::CodeGenerator>::codegen::h62fdb7af6a244e95
 6:45.37     17:     0x561767dcd320 - <bindgen::ir::item::Item as bindgen::codegen::CodeGenerator>::codegen::h37db9e0bc60ee523
 6:45.37     18:     0x561767daa851 - <bindgen::ir::module::Module as bindgen::codegen::CodeGenerator>::codegen::hc4d86bd5d32c8e3c
 6:45.37     19:     0x561767dcd2f2 - <bindgen::ir::item::Item as bindgen::codegen::CodeGenerator>::codegen::h37db9e0bc60ee523
 6:45.37     20:     0x561767d82f38 - bindgen::ir::context::BindgenContext::gen::h6a842ea5db57de91
 6:45.37     21:     0x561767d9323e - bindgen::Builder::generate::hb66cb568a0f5ddd3
 6:45.37     22:     0x561767d59dc7 - build_script_build::main::h872d2dff68c72101
 6:45.37     23:     0x561767d5ad03 - std::sys_common::backtrace::__rust_begin_short_backtrace::h090a5dc46bfdca84
 6:45.37     24:     0x561767d5ad19 - std::rt::lang_start::{{closure}}::hd45963ea3637a094
 6:45.37     25:     0x561767efd22e - std::rt::lang_start_internal::hafa9672ae30aabe2
 6:45.37     26:     0x561767d5a795 - main
 6:45.37     27:     0x7efe32a2808a - __libc_start_call_main
 6:45.37     28:     0x7efe32a2814b - __libc_start_main_impl
 6:45.37     29:     0x561767d4f635 - _start
 6:45.37     30:                0x0 - <unknown>
 6:45.37 warning: build failed, waiting for other jobs to finish...
 6:45.37 devtools/shared/heapsnapshot/ZeroCopyNSIOutputStream.o
 6:45.37 /usr/lib64/ccache/g++ -o HeapSnapshotTempFileHelperParent.o -c  -I/builddir/build/BUILD/icecat-102.12.0/objdir/dist/stl_wrappers -I/builddir/build/BUILD/icecat-102.12.0/objdir/dist/system_wrappers -include /builddir/build/BUILD/icecat-102.12.0/config/gcc_hidden.h -U_FORTIFY_SOURCE -D_FORTIFY_SOURCE=2 -fstack-protector-strong -DNDEBUG=1 -DTRIMMED=1 -DOS_POSIX=1 -DOS_LINUX=1 -DGOOGLE_PROTOBUF_NO_RTTI -DMOZ_HAS_MOZGLUE -DMOZILLA_INTERNAL_API -DIMPL_LIBXUL -DSTATIC_EXPORTABLE_JS_API -I/builddir/build/BUILD/icecat-102.12.0/devtools/shared/heapsnapshot -I/builddir/build/BUILD/icecat-102.12.0/objdir/devtools/shared/heapsnapshot -I/builddir/build/BUILD/icecat-102.12.0/objdir/ipc/ipdl/_ipdlheaders -I/builddir/build/BUILD/icecat-102.12.0/ipc/chromium/src -I/builddir/build/BUILD/icecat-102.12.0/objdir/dist/include -I/usr/include/nspr4 -I/usr/include/nss3 -I/usr/include/nspr4 -I/builddir/build/BUILD/icecat-102.12.0/objdir/dist/include/nss -I/usr/include/pixman-1 -DMOZILLA_CLIENT -include /builddir/build/BUILD/icecat-102.12.0/objdir/mozilla-config.h -Wall -Wempty-body -Wignored-qualifiers -Wpointer-arith -Wsign-compare -Wtype-limits -Wunreachable-code -Wno-invalid-offsetof -Wc++2a-compat -Wduplicated-cond -Wimplicit-fallthrough -Wno-error=maybe-uninitialized -Wno-error=deprecated-declarations -Wno-error=array-bounds -Wno-error=coverage-mismatch -Wno-error=free-nonheap-object -Wno-multistatement-macros -Wno-error=class-memaccess -Wno-error=deprecated-copy -Wformat -Wformat-overflow=2 -Wno-psabi -fno-sized-deallocation -fno-aligned-new -O2 -fexceptions -g -grecord-gcc-switches -pipe -Wp,-U_FORTIFY_SOURCE,-D_FORTIFY_SOURCE=3 -Wp,-D_GLIBCXX_ASSERTIONS -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -fstack-protector-strong -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1 -m64 -mtune=generic -fasynchronous-unwind-tables -fstack-clash-protection -fcf-protection -fno-omit-frame-pointer -mno-omit-leaf-frame-pointer -fPIC -Wl,-z,relro -Wl,-z,now -DNSS_PKCS11_3_0_STRICT -fpermissive -fno-exceptions -fPIC -fno-rtti -ffunction-sections -fdata-sections -fno-exceptions -fno-math-errno -pthread -pipe -gdwarf-4 -freorder-blocks -O2 -fomit-frame-pointer -funwind-tables -fno-strict-aliasing -ffp-contract=off  -MD -MP -MF .deps/HeapSnapshotTempFileHelperParent.o.pp   /builddir/build/BUILD/icecat-102.12.0/devtools/shared/heapsnapshot/HeapSnapshotTempFileHelperParent.cpp
 6:46.55 In file included from /builddir/build/BUILD/icecat-102.12.0/objdir/dist/include/google/protobuf/implicit_weak_message.h:39,
 6:46.55                  from /builddir/build/BUILD/icecat-102.12.0/objdir/dist/include/google/protobuf/parse_context.h:42,
 6:46.55                  from /builddir/build/BUILD/icecat-102.12.0/objdir/dist/include/google/protobuf/map_type_handler.h:34,
 6:46.55                  from /builddir/build/BUILD/icecat-102.12.0/objdir/dist/include/google/protobuf/map.h:49,
 6:46.55                  from /builddir/build/BUILD/icecat-102.12.0/objdir/dist/include/google/protobuf/generated_message_table_driven.h:34,
 6:46.55                  from /builddir/build/BUILD/icecat-102.12.0/objdir/dist/include/mozilla/devtools/CoreDump.pb.h:26,
 6:46.56                  from /builddir/build/BUILD/icecat-102.12.0/objdir/dist/include/mozilla/devtools/DeserializedNode.h:16,
 6:46.56                  from /builddir/build/BUILD/icecat-102.12.0/objdir/dist/include/mozilla/devtools/HeapSnapshot.h:10,
 6:46.56                  from /builddir/build/BUILD/icecat-102.12.0/devtools/shared/heapsnapshot/HeapSnapshotTempFileHelperParent.cpp:7:
 6:46.56 /builddir/build/BUILD/icecat-102.12.0/objdir/dist/include/google/protobuf/repeated_field.h:2496:19: warning: ‘template<class _Category, class _Tp, class _Distance, class _Pointer, class _Reference> struct std::iterator’ is deprecated [-Wdeprecated-declarations]
 6:46.56  2496 |     : public std::iterator<std::output_iterator_tag, T> {
 6:46.56       |                   ^~~~~~~~
 6:46.56 In file included from /usr/include/c++/13/bits/stl_algobase.h:65,
 6:46.56                  from /usr/include/c++/13/bits/specfun.h:43,
 6:46.56                  from /usr/include/c++/13/cmath:3716,
 6:46.56                  from /builddir/build/BUILD/icecat-102.12.0/objdir/dist/system_wrappers/cmath:3,
 6:46.56                  from /builddir/build/BUILD/icecat-102.12.0/objdir/dist/stl_wrappers/cmath:64,
 6:46.56                  from /builddir/build/BUILD/icecat-102.12.0/objdir/dist/include/mozilla/MathAlgorithms.h:14,
 6:46.56                  from /builddir/build/BUILD/icecat-102.12.0/objdir/dist/include/mozilla/HashFunctions.h:53,
 6:46.56                  from /builddir/build/BUILD/icecat-102.12.0/objdir/dist/include/mozilla/HashTable.h:84,
 6:46.56                  from /builddir/build/BUILD/icecat-102.12.0/objdir/dist/include/js/HashTable.h:10,
 6:46.56                  from /builddir/build/BUILD/icecat-102.12.0/objdir/dist/include/mozilla/devtools/HeapSnapshot.h:9:
 6:46.56 /usr/include/c++/13/bits/stl_iterator_base_types.h:127:34: note: declared here
 6:46.56   127 |     struct _GLIBCXX17_DEPRECATED iterator
 6:46.56       |                                  ^~~~~~~~
 6:46.56 /builddir/build/BUILD/icecat-102.12.0/objdir/dist/include/google/protobuf/repeated_field.h:2518:19: warning: ‘template<class _Category, class _Tp, class _Distance, class _Pointer, class _Reference> struct std::iterator’ is deprecated [-Wdeprecated-declarations]
 6:46.56  2518 |     : public std::iterator<std::output_iterator_tag, T> {
 6:46.56       |                   ^~~~~~~~
 6:46.56 /usr/include/c++/13/bits/stl_iterator_base_types.h:127:34: note: declared here
 6:46.56   127 |     struct _GLIBCXX17_DEPRECATED iterator
 6:46.56       |                                  ^~~~~~~~
 6:46.56 /builddir/build/BUILD/icecat-102.12.0/objdir/dist/include/google/protobuf/repeated_field.h:2549:19: warning: ‘template<class _Category, class _Tp, class _Distance, class _Pointer, class _Reference> struct std::iterator’ is deprecated [-Wdeprecated-declarations]
 6:46.56  2549 |     : public std::iterator<std::output_iterator_tag, T> {
 6:46.56       |                   ^~~~~~~~
 6:46.56 /usr/include/c++/13/bits/stl_iterator_base_types.h:127:34: note: declared here
 6:46.56   127 |     struct _GLIBCXX17_DEPRECATED iterator
 6:46.56       |                                  ^~~~~~~~
 6:46.56 /builddir/build/BUILD/icecat-102.12.0/objdir/dist/include/google/protobuf/repeated_field.h:2573:19: warning: ‘template<class _Category, class _Tp, class _Distance, class _Pointer, class _Reference> struct std::iterator’ is deprecated [-Wdeprecated-declarations]
 6:46.56  2573 |     : public std::iterator<std::output_iterator_tag, T> {
 6:46.56       |                   ^~~~~~~~
 6:46.56 /usr/include/c++/13/bits/stl_iterator_base_types.h:127:34: note: declared here
 6:46.56   127 |     struct _GLIBCXX17_DEPRECATED iterator
 6:46.56       |                                  ^~~~~~~~
 6:47.22 In file included from /builddir/build/BUILD/icecat-102.12.0/objdir/dist/include/google/protobuf/implicit_weak_message.h:39,
 6:47.23                  from /builddir/build/BUILD/icecat-102.12.0/objdir/dist/include/google/protobuf/parse_context.h:42,
 6:47.23                  from /builddir/build/BUILD/icecat-102.12.0/objdir/dist/include/google/protobuf/map_type_handler.h:34,
 6:47.23                  from /builddir/build/BUILD/icecat-102.12.0/objdir/dist/include/google/protobuf/map.h:49,
 6:47.23                  from /builddir/build/BUILD/icecat-102.12.0/objdir/dist/include/google/protobuf/generated_message_table_driven.h:34,
 6:47.23                  from /builddir/build/BUILD/icecat-102.12.0/objdir/dist/include/mozilla/devtools/CoreDump.pb.h:26,
 6:47.23                  from /builddir/build/BUILD/icecat-102.12.0/objdir/dist/include/mozilla/devtools/DeserializedNode.h:16,
 6:47.23                  from /builddir/build/BUILD/icecat-102.12.0/devtools/shared/heapsnapshot/HeapSnapshot.h:10,
 6:47.23                  from /builddir/build/BUILD/icecat-102.12.0/devtools/shared/heapsnapshot/HeapSnapshot.cpp:6:
 6:47.23 /builddir/build/BUILD/icecat-102.12.0/objdir/dist/include/google/protobuf/repeated_field.h:2496:19: warning: ‘template<class _Category, class _Tp, class _Distance, class _Pointer, class _Reference> struct std::iterator’ is deprecated [-Wdeprecated-declarations]
 6:47.23  2496 |     : public std::iterator<std::output_iterator_tag, T> {
 6:47.23       |                   ^~~~~~~~
 6:47.23 In file included from /usr/include/c++/13/bits/stl_algobase.h:65,
 6:47.23                  from /usr/include/c++/13/bits/specfun.h:43,
 6:47.23                  from /usr/include/c++/13/cmath:3716,
 6:47.23                  from /builddir/build/BUILD/icecat-102.12.0/objdir/dist/system_wrappers/cmath:3,
 6:47.23                  from /builddir/build/BUILD/icecat-102.12.0/objdir/dist/stl_wrappers/cmath:64,
 6:47.23                  from /builddir/build/BUILD/icecat-102.12.0/objdir/dist/include/mozilla/MathAlgorithms.h:14,
 6:47.23                  from /builddir/build/BUILD/icecat-102.12.0/objdir/dist/include/mozilla/HashFunctions.h:53,
 6:47.23                  from /builddir/build/BUILD/icecat-102.12.0/objdir/dist/include/mozilla/HashTable.h:84,
 6:47.23                  from /builddir/build/BUILD/icecat-102.12.0/objdir/dist/include/js/HashTable.h:10,
 6:47.23                  from /builddir/build/BUILD/icecat-102.12.0/devtools/shared/heapsnapshot/HeapSnapshot.h:9:
 6:47.23 /usr/include/c++/13/bits/stl_iterator_base_types.h:127:34: note: declared here
 6:47.23   127 |     struct _GLIBCXX17_DEPRECATED iterator
 6:47.23       |                                  ^~~~~~~~
 6:47.23 /builddir/build/BUILD/icecat-102.12.0/objdir/dist/include/google/protobuf/repeated_field.h:2518:19: warning: ‘template<class _Category, class _Tp, class _Distance, class _Pointer, class _Reference> struct std::iterator’ is deprecated [-Wdeprecated-declarations]
 6:47.23  2518 |     : public std::iterator<std::output_iterator_tag, T> {
 6:47.23       |                   ^~~~~~~~
 6:47.23 /usr/include/c++/13/bits/stl_iterator_base_types.h:127:34: note: declared here
 6:47.23   127 |     struct _GLIBCXX17_DEPRECATED iterator
 6:47.23       |                                  ^~~~~~~~
 6:47.23 /builddir/build/BUILD/icecat-102.12.0/objdir/dist/include/google/protobuf/repeated_field.h:2549:19: warning: ‘template<class _Category, class _Tp, class _Distance, class _Pointer, class _Reference> struct std::iterator’ is deprecated [-Wdeprecated-declarations]
 6:47.23  2549 |     : public std::iterator<std::output_iterator_tag, T> {
 6:47.23       |                   ^~~~~~~~
 6:47.23 /usr/include/c++/13/bits/stl_iterator_base_types.h:127:34: note: declared here
 6:47.23   127 |     struct _GLIBCXX17_DEPRECATED iterator
 6:47.23       |                                  ^~~~~~~~
 6:47.23 /builddir/build/BUILD/icecat-102.12.0/objdir/dist/include/google/protobuf/repeated_field.h:2573:19: warning: ‘template<class _Category, class _Tp, class _Distance, class _Pointer, class _Reference> struct std::iterator’ is deprecated [-Wdeprecated-declarations]
 6:47.23  2573 |     : public std::iterator<std::output_iterator_tag, T> {
 6:47.23       |                   ^~~~~~~~
 6:47.23 /usr/include/c++/13/bits/stl_iterator_base_types.h:127:34: note: declared here
 6:47.23   127 |     struct _GLIBCXX17_DEPRECATED iterator
 6:47.24       |                                  ^~~~~~~~
 6:48.01 In file included from /builddir/build/BUILD/icecat-102.12.0/objdir/dist/include/mozilla/ProfilerThreadState.h:14,
 6:48.01                  from /builddir/build/BUILD/icecat-102.12.0/objdir/dist/include/mozilla/ProfilerLabels.h:14,
 6:48.01                  from /builddir/build/BUILD/icecat-102.12.0/objdir/dist/include/mozilla/dom/AutoEntryScript.h:16,
 6:48.01                  from /builddir/build/BUILD/icecat-102.12.0/objdir/dist/include/mozilla/dom/Promise.h:22,
 6:48.01                  from /builddir/build/BUILD/icecat-102.12.0/objdir/dist/include/mozilla/CycleCollectedJSContext.h:15,
 6:48.01                  from /builddir/build/BUILD/icecat-102.12.0/devtools/shared/heapsnapshot/HeapSnapshot.cpp:21:
 6:48.02 /builddir/build/BUILD/icecat-102.12.0/objdir/dist/include/mozilla/ProfilerThreadRegistration.h:217:38: warning: declaration of ‘mozilla::profiler::ThreadRegistration::OnThreadRef::RWOnThreadWithLock mozilla::profiler::ThreadRegistration::OnThreadRef::LockedRWOnThread()’ changes meaning of ‘LockedRWOnThread’ [-Wchanges-meaning]
 6:48.02   217 |     [[nodiscard]] RWOnThreadWithLock LockedRWOnThread() {
 6:48.02       |                                      ^~~~~~~~~~~~~~~~
 6:48.02 /builddir/build/BUILD/icecat-102.12.0/objdir/dist/include/mozilla/ProfilerThreadRegistration.h:213:7: note: used here to mean ‘using mozilla::profiler::ThreadRegistration::LockedRWOnThread = class mozilla::profiler::ThreadRegistrationLockedRWOnThread’
 6:48.02   213 |       LockedRWOnThread& mLockedRWOnThread;
 6:48.02       |       ^~~~~~~~~~~~~~~~
 6:48.02 /builddir/build/BUILD/icecat-102.12.0/objdir/dist/include/mozilla/ProfilerThreadRegistration.h:63:9: note: declared here
 6:48.02    63 |   using LockedRWOnThread = ThreadRegistrationLockedRWOnThread;
 6:48.02       |         ^~~~~~~~~~~~~~~~
 6:48.02 In file included from /builddir/build/BUILD/icecat-102.12.0/objdir/dist/include/mozilla/ProfilerThreadState.h:15:
 6:48.02 /builddir/build/BUILD/icecat-102.12.0/objdir/dist/include/mozilla/ProfilerThreadRegistry.h:180:43: warning: declaration of ‘mozilla::profiler::ThreadRegistry::OffThreadRef::RWFromAnyThreadWithLock mozilla::profiler::ThreadRegistry::OffThreadRef::LockedRWFromAnyThread()’ changes meaning of ‘LockedRWFromAnyThread’ [-Wchanges-meaning]
 6:48.02   180 |     [[nodiscard]] RWFromAnyThreadWithLock LockedRWFromAnyThread() {
 6:48.02       |                                           ^~~~~~~~~~~~~~~~~~~~~
 6:48.02 /builddir/build/BUILD/icecat-102.12.0/objdir/dist/include/mozilla/ProfilerThreadRegistry.h:176:7: note: used here to mean ‘using mozilla::profiler::ThreadRegistry::LockedRWFromAnyThread = class mozilla::profiler::ThreadRegistrationLockedRWFromAnyThread’
 6:48.02   176 |       LockedRWFromAnyThread& mLockedRWFromAnyThread;
 6:48.02       |       ^~~~~~~~~~~~~~~~~~~~~
 6:48.02 /builddir/build/BUILD/icecat-102.12.0/objdir/dist/include/mozilla/ProfilerThreadRegistry.h:33:9: note: declared here
 6:48.02    33 |   using LockedRWFromAnyThread = ThreadRegistrationLockedRWFromAnyThread;
 6:48.02       |         ^~~~~~~~~~~~~~~~~~~~~
 6:48.33 devtools/shared/heapsnapshot/Unified_cpp_shared_heapsnapshot0.o
 6:48.33 /usr/lib64/ccache/g++ -o ZeroCopyNSIOutputStream.o -c  -I/builddir/build/BUILD/icecat-102.12.0/objdir/dist/stl_wrappers -I/builddir/build/BUILD/icecat-102.12.0/objdir/dist/system_wrappers -include /builddir/build/BUILD/icecat-102.12.0/config/gcc_hidden.h -U_FORTIFY_SOURCE -D_FORTIFY_SOURCE=2 -fstack-protector-strong -DNDEBUG=1 -DTRIMMED=1 -DOS_POSIX=1 -DOS_LINUX=1 -DGOOGLE_PROTOBUF_NO_RTTI -DMOZ_HAS_MOZGLUE -DMOZILLA_INTERNAL_API -DIMPL_LIBXUL -DSTATIC_EXPORTABLE_JS_API -I/builddir/build/BUILD/icecat-102.12.0/devtools/shared/heapsnapshot -I/builddir/build/BUILD/icecat-102.12.0/objdir/devtools/shared/heapsnapshot -I/builddir/build/BUILD/icecat-102.12.0/objdir/ipc/ipdl/_ipdlheaders -I/builddir/build/BUILD/icecat-102.12.0/ipc/chromium/src -I/builddir/build/BUILD/icecat-102.12.0/objdir/dist/include -I/usr/include/nspr4 -I/usr/include/nss3 -I/usr/include/nspr4 -I/builddir/build/BUILD/icecat-102.12.0/objdir/dist/include/nss -I/usr/include/pixman-1 -DMOZILLA_CLIENT -include /builddir/build/BUILD/icecat-102.12.0/objdir/mozilla-config.h -Wall -Wempty-body -Wignored-qualifiers -Wpointer-arith -Wsign-compare -Wtype-limits -Wunreachable-code -Wno-invalid-offsetof -Wc++2a-compat -Wduplicated-cond -Wimplicit-fallthrough -Wno-error=maybe-uninitialized -Wno-error=deprecated-declarations -Wno-error=array-bounds -Wno-error=coverage-mismatch -Wno-error=free-nonheap-object -Wno-multistatement-macros -Wno-error=class-memaccess -Wno-error=deprecated-copy -Wformat -Wformat-overflow=2 -Wno-psabi -fno-sized-deallocation -fno-aligned-new -O2 -fexceptions -g -grecord-gcc-switches -pipe -Wp,-U_FORTIFY_SOURCE,-D_FORTIFY_SOURCE=3 -Wp,-D_GLIBCXX_ASSERTIONS -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -fstack-protector-strong -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1 -m64 -mtune=generic -fasynchronous-unwind-tables -fstack-clash-protection -fcf-protection -fno-omit-frame-pointer -mno-omit-leaf-frame-pointer -fPIC -Wl,-z,relro -Wl,-z,now -DNSS_PKCS11_3_0_STRICT -fpermissive -fno-exceptions -fPIC -fno-rtti -ffunction-sections -fdata-sections -fno-exceptions -fno-math-errno -pthread -pipe -gdwarf-4 -freorder-blocks -O2 -fomit-frame-pointer -funwind-tables -fno-strict-aliasing -ffp-contract=off  -MD -MP -MF .deps/ZeroCopyNSIOutputStream.o.pp   /builddir/build/BUILD/icecat-102.12.0/devtools/shared/heapsnapshot/ZeroCopyNSIOutputStream.cpp
 6:49.06 gmake[4]: Entering directory '/builddir/build/BUILD/icecat-102.12.0/objdir/docshell/base'
 6:49.06 mkdir -p '.deps/'
 6:49.06 docshell/base/Unified_cpp_docshell_base0.o
 6:49.06 docshell/base/Unified_cpp_docshell_base1.o
 6:49.06 /usr/lib64/ccache/g++ -o Unified_cpp_docshell_base0.o -c  -I/builddir/build/BUILD/icecat-102.12.0/objdir/dist/stl_wrappers -I/builddir/build/BUILD/icecat-102.12.0/objdir/dist/system_wrappers -include /builddir/build/BUILD/icecat-102.12.0/config/gcc_hidden.h -U_FORTIFY_SOURCE -D_FORTIFY_SOURCE=2 -fstack-protector-strong -DNDEBUG=1 -DTRIMMED=1 -DOS_POSIX=1 -DOS_LINUX=1 -DMOZ_HAS_MOZGLUE -DMOZILLA_INTERNAL_API -DIMPL_LIBXUL -DSTATIC_EXPORTABLE_JS_API -I/builddir/build/BUILD/icecat-102.12.0/docshell/base -I/builddir/build/BUILD/icecat-102.12.0/objdir/docshell/base -I/builddir/build/BUILD/icecat-102.12.0/objdir/ipc/ipdl/_ipdlheaders -I/builddir/build/BUILD/icecat-102.12.0/ipc/chromium/src -I/builddir/build/BUILD/icecat-102.12.0/docshell/shistory -I/builddir/build/BUILD/icecat-102.12.0/dom/base -I/builddir/build/BUILD/icecat-102.12.0/dom/bindings -I/builddir/build/BUILD/icecat-102.12.0/js/xpconnect/src -I/builddir/build/BUILD/icecat-102.12.0/layout/base -I/builddir/build/BUILD/icecat-102.12.0/layout/generic -I/builddir/build/BUILD/icecat-102.12.0/layout/style -I/builddir/build/BUILD/icecat-102.12.0/layout/xul -I/builddir/build/BUILD/icecat-102.12.0/netwerk/base -I/builddir/build/BUILD/icecat-102.12.0/netwerk/protocol/viewsource -I/builddir/build/BUILD/icecat-102.12.0/toolkit/components/browser -I/builddir/build/BUILD/icecat-102.12.0/toolkit/components/find -I/builddir/build/BUILD/icecat-102.12.0/tools/profiler -I/builddir/build/BUILD/icecat-102.12.0/objdir/dist/include -I/usr/include/nspr4 -I/usr/include/nss3 -I/usr/include/nspr4 -I/builddir/build/BUILD/icecat-102.12.0/objdir/dist/include/nss -I/usr/include/pixman-1 -DMOZILLA_CLIENT -include /builddir/build/BUILD/icecat-102.12.0/objdir/mozilla-config.h -Wall -Wempty-body -Wignored-qualifiers -Wpointer-arith -Wsign-compare -Wtype-limits -Wunreachable-code -Wno-invalid-offsetof -Wc++2a-compat -Wduplicated-cond -Wimplicit-fallthrough -Wno-error=maybe-uninitialized -Wno-error=deprecated-declarations -Wno-error=array-bounds -Wno-error=coverage-mismatch -Wno-error=free-nonheap-object -Wno-multistatement-macros -Wno-error=class-memaccess -Wno-error=deprecated-copy -Wformat -Wformat-overflow=2 -Wno-psabi -fno-sized-deallocation -fno-aligned-new -O2 -fexceptions -g -grecord-gcc-switches -pipe -Wp,-U_FORTIFY_SOURCE,-D_FORTIFY_SOURCE=3 -Wp,-D_GLIBCXX_ASSERTIONS -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -fstack-protector-strong -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1 -m64 -mtune=generic -fasynchronous-unwind-tables -fstack-clash-protection -fcf-protection -fno-omit-frame-pointer -mno-omit-leaf-frame-pointer -fPIC -Wl,-z,relro -Wl,-z,now -DNSS_PKCS11_3_0_STRICT -fpermissive -fno-exceptions -fPIC -fno-rtti -ffunction-sections -fdata-sections -fno-exceptions -fno-math-errno -pthread -pipe -gdwarf-4 -freorder-blocks -O2 -fomit-frame-pointer -funwind-tables -fno-strict-aliasing -ffp-contract=off  -MD -MP -MF .deps/Unified_cpp_docshell_base0.o.pp   Unified_cpp_docshell_base0.cpp
 6:49.11 [glslopt 0.1.9] exit status: 0
 6:49.11 [glslopt 0.1.9] running: "/usr/lib64/ccache/g++" "-O1" "-ffunction-sections" "-fdata-sections" "-fPIC" "-m64" "-I/builddir/build/BUILD/icecat-102.12.0/objdir/dist/stl_wrappers" "-I/builddir/build/BUILD/icecat-102.12.0/objdir/dist/system_wrappers" "-include" "/builddir/build/BUILD/icecat-102.12.0/config/gcc_hidden.h" "-U_FORTIFY_SOURCE" "-D_FORTIFY_SOURCE=2" "-fstack-protector-strong" "-DNDEBUG=1" "-DTRIMMED=1" "-I/builddir/build/BUILD/icecat-102.12.0/toolkit/library/rust" "-I/builddir/build/BUILD/icecat-102.12.0/objdir/toolkit/library/rust" "-I/builddir/build/BUILD/icecat-102.12.0/objdir/dist/include" "-I/usr/include/nspr4" "-I/usr/include/nss3" "-I/usr/include/nspr4" "-I/builddir/build/BUILD/icecat-102.12.0/objdir/dist/include/nss" "-I/usr/include/pixman-1" "-DMOZILLA_CLIENT" "-include" "/builddir/build/BUILD/icecat-102.12.0/objdir/mozilla-config.h" "-Wall" "-Wempty-body" "-Wignored-qualifiers" "-Wpointer-arith" "-Wsign-compare" "-Wtype-limits" "-Wunreachable-code" "-Wno-invalid-offsetof" "-Wc++2a-compat" "-Wduplicated-cond" "-Wimplicit-fallthrough" "-Wno-error=maybe-uninitialized" "-Wno-error=deprecated-declarations" "-Wno-error=array-bounds" "-Wno-error=coverage-mismatch" "-Wno-error=free-nonheap-object" "-Wno-multistatement-macros" "-Wno-error=class-memaccess" "-Wno-error=deprecated-copy" "-Wformat" "-Wformat-overflow=2" "-Wno-psabi" "-fno-sized-deallocation" "-fno-aligned-new" "-O2" "-fexceptions" "-g" "-grecord-gcc-switches" "-pipe" "-Wp,-U_FORTIFY_SOURCE,-D_FORTIFY_SOURCE=3" "-Wp,-D_GLIBCXX_ASSERTIONS" "-specs=/usr/lib/rpm/redhat/redhat-hardened-cc1" "-fstack-protector-strong" "-specs=/usr/lib/rpm/redhat/redhat-annobin-cc1" "-m64" "-mtune=generic" "-fasynchronous-unwind-tables" "-fstack-clash-protection" "-fcf-protection" "-fno-omit-frame-pointer" "-mno-omit-leaf-frame-pointer" "-fPIC" "-Wl,-z,relro" "-Wl,-z,now" "-DNSS_PKCS11_3_0_STRICT" "-fpermissive" "-fno-exceptions" "-fPIC" "-fno-rtti" "-ffunction-sections" "-fdata-sections" "-fno-exceptions" "-fno-math-errno" "-pthread" "-pipe" "-gdwarf-4" "-freorder-blocks" "-O2" "-fomit-frame-pointer" "-funwind-tables" "-fno-strict-aliasing" "-ffp-contract=off" "-DMOZILLA_CONFIG_H" "-I" "glsl-optimizer/include" "-I" "glsl-optimizer/src/mesa" "-I" "glsl-optimizer/src/mapi" "-I" "glsl-optimizer/src/compiler" "-I" "glsl-optimizer/src/compiler/glsl" "-I" "glsl-optimizer/src/gallium/auxiliary" "-I" "glsl-optimizer/src/gallium/include" "-I" "glsl-optimizer/src" "-I" "glsl-optimizer/src/util" "-D__STDC_FORMAT_MACROS" "-D_GNU_SOURCE" "-DHAVE_ENDIAN_H" "-DHAVE_PTHREAD" "-DHAVE_TIMESPEC_GET" "-DMOZ_INCLUDE_MOZALLOC_H" "-Dmozilla_throw_gcc_h" "-o" "/builddir/build/BUILD/icecat-102.12.0/objdir/release/build/glslopt-5c0fa2d1e0eec6ca/out/glsl-optimizer/src/compiler/glsl/builtin_types.o" "-c" "glsl-optimizer/src/compiler/glsl/builtin_types.cpp"
 6:49.81 [glslopt 0.1.9] exit status: 0
 6:49.81 [glslopt 0.1.9] running: "/usr/lib64/ccache/g++" "-O1" "-ffunction-sections" "-fdata-sections" "-fPIC" "-m64" "-I/builddir/build/BUILD/icecat-102.12.0/objdir/dist/stl_wrappers" "-I/builddir/build/BUILD/icecat-102.12.0/objdir/dist/system_wrappers" "-include" "/builddir/build/BUILD/icecat-102.12.0/config/gcc_hidden.h" "-U_FORTIFY_SOURCE" "-D_FORTIFY_SOURCE=2" "-fstack-protector-strong" "-DNDEBUG=1" "-DTRIMMED=1" "-I/builddir/build/BUILD/icecat-102.12.0/toolkit/library/rust" "-I/builddir/build/BUILD/icecat-102.12.0/objdir/toolkit/library/rust" "-I/builddir/build/BUILD/icecat-102.12.0/objdir/dist/include" "-I/usr/include/nspr4" "-I/usr/include/nss3" "-I/usr/include/nspr4" "-I/builddir/build/BUILD/icecat-102.12.0/objdir/dist/include/nss" "-I/usr/include/pixman-1" "-DMOZILLA_CLIENT" "-include" "/builddir/build/BUILD/icecat-102.12.0/objdir/mozilla-config.h" "-Wall" "-Wempty-body" "-Wignored-qualifiers" "-Wpointer-arith" "-Wsign-compare" "-Wtype-limits" "-Wunreachable-code" "-Wno-invalid-offsetof" "-Wc++2a-compat" "-Wduplicated-cond" "-Wimplicit-fallthrough" "-Wno-error=maybe-uninitialized" "-Wno-error=deprecated-declarations" "-Wno-error=array-bounds" "-Wno-error=coverage-mismatch" "-Wno-error=free-nonheap-object" "-Wno-multistatement-macros" "-Wno-error=class-memaccess" "-Wno-error=deprecated-copy" "-Wformat" "-Wformat-overflow=2" "-Wno-psabi" "-fno-sized-deallocation" "-fno-aligned-new" "-O2" "-fexceptions" "-g" "-grecord-gcc-switches" "-pipe" "-Wp,-U_FORTIFY_SOURCE,-D_FORTIFY_SOURCE=3" "-Wp,-D_GLIBCXX_ASSERTIONS" "-specs=/usr/lib/rpm/redhat/redhat-hardened-cc1" "-fstack-protector-strong" "-specs=/usr/lib/rpm/redhat/redhat-annobin-cc1" "-m64" "-mtune=generic" "-fasynchronous-unwind-tables" "-fstack-clash-protection" "-fcf-protection" "-fno-omit-frame-pointer" "-mno-omit-leaf-frame-pointer" "-fPIC" "-Wl,-z,relro" "-Wl,-z,now" "-DNSS_PKCS11_3_0_STRICT" "-fpermissive" "-fno-exceptions" "-fPIC" "-fno-rtti" "-ffunction-sections" "-fdata-sections" "-fno-exceptions" "-fno-math-errno" "-pthread" "-pipe" "-gdwarf-4" "-freorder-blocks" "-O2" "-fomit-frame-pointer" "-funwind-tables" "-fno-strict-aliasing" "-ffp-contract=off" "-DMOZILLA_CONFIG_H" "-I" "glsl-optimizer/include" "-I" "glsl-optimizer/src/mesa" "-I" "glsl-optimizer/src/mapi" "-I" "glsl-optimizer/src/compiler" "-I" "glsl-optimizer/src/compiler/glsl" "-I" "glsl-optimizer/src/gallium/auxiliary" "-I" "glsl-optimizer/src/gallium/include" "-I" "glsl-optimizer/src" "-I" "glsl-optimizer/src/util" "-D__STDC_FORMAT_MACROS" "-D_GNU_SOURCE" "-DHAVE_ENDIAN_H" "-DHAVE_PTHREAD" "-DHAVE_TIMESPEC_GET" "-DMOZ_INCLUDE_MOZALLOC_H" "-Dmozilla_throw_gcc_h" "-o" "/builddir/build/BUILD/icecat-102.12.0/objdir/release/build/glslopt-5c0fa2d1e0eec6ca/out/glsl-optimizer/src/compiler/glsl/builtin_variables.o" "-c" "glsl-optimizer/src/compiler/glsl/builtin_variables.cpp"
 6:50.54 [glslopt 0.1.9] exit status: 0
 6:50.54 [glslopt 0.1.9] running: "/usr/lib64/ccache/g++" "-O1" "-ffunction-sections" "-fdata-sections" "-fPIC" "-m64" "-I/builddir/build/BUILD/icecat-102.12.0/objdir/dist/stl_wrappers" "-I/builddir/build/BUILD/icecat-102.12.0/objdir/dist/system_wrappers" "-include" "/builddir/build/BUILD/icecat-102.12.0/config/gcc_hidden.h" "-U_FORTIFY_SOURCE" "-D_FORTIFY_SOURCE=2" "-fstack-protector-strong" "-DNDEBUG=1" "-DTRIMMED=1" "-I/builddir/build/BUILD/icecat-102.12.0/toolkit/library/rust" "-I/builddir/build/BUILD/icecat-102.12.0/objdir/toolkit/library/rust" "-I/builddir/build/BUILD/icecat-102.12.0/objdir/dist/include" "-I/usr/include/nspr4" "-I/usr/include/nss3" "-I/usr/include/nspr4" "-I/builddir/build/BUILD/icecat-102.12.0/objdir/dist/include/nss" "-I/usr/include/pixman-1" "-DMOZILLA_CLIENT" "-include" "/builddir/build/BUILD/icecat-102.12.0/objdir/mozilla-config.h" "-Wall" "-Wempty-body" "-Wignored-qualifiers" "-Wpointer-arith" "-Wsign-compare" "-Wtype-limits" "-Wunreachable-code" "-Wno-invalid-offsetof" "-Wc++2a-compat" "-Wduplicated-cond" "-Wimplicit-fallthrough" "-Wno-error=maybe-uninitialized" "-Wno-error=deprecated-declarations" "-Wno-error=array-bounds" "-Wno-error=coverage-mismatch" "-Wno-error=free-nonheap-object" "-Wno-multistatement-macros" "-Wno-error=class-memaccess" "-Wno-error=deprecated-copy" "-Wformat" "-Wformat-overflow=2" "-Wno-psabi" "-fno-sized-deallocation" "-fno-aligned-new" "-O2" "-fexceptions" "-g" "-grecord-gcc-switches" "-pipe" "-Wp,-U_FORTIFY_SOURCE,-D_FORTIFY_SOURCE=3" "-Wp,-D_GLIBCXX_ASSERTIONS" "-specs=/usr/lib/rpm/redhat/redhat-hardened-cc1" "-fstack-protector-strong" "-specs=/usr/lib/rpm/redhat/redhat-annobin-cc1" "-m64" "-mtune=generic" "-fasynchronous-unwind-tables" "-fstack-clash-protection" "-fcf-protection" "-fno-omit-frame-pointer" "-mno-omit-leaf-frame-pointer" "-fPIC" "-Wl,-z,relro" "-Wl,-z,now" "-DNSS_PKCS11_3_0_STRICT" "-fpermissive" "-fno-exceptions" "-fPIC" "-fno-rtti" "-ffunction-sections" "-fdata-sections" "-fno-exceptions" "-fno-math-errno" "-pthread" "-pipe" "-gdwarf-4" "-freorder-blocks" "-O2" "-fomit-frame-pointer" "-funwind-tables" "-fno-strict-aliasing" "-ffp-contract=off" "-DMOZILLA_CONFIG_H" "-I" "glsl-optimizer/include" "-I" "glsl-optimizer/src/mesa" "-I" "glsl-optimizer/src/mapi" "-I" "glsl-optimizer/src/compiler" "-I" "glsl-optimizer/src/compiler/glsl" "-I" "glsl-optimizer/src/gallium/auxiliary" "-I" "glsl-optimizer/src/gallium/include" "-I" "glsl-optimizer/src" "-I" "glsl-optimizer/src/util" "-D__STDC_FORMAT_MACROS" "-D_GNU_SOURCE" "-DHAVE_ENDIAN_H" "-DHAVE_PTHREAD" "-DHAVE_TIMESPEC_GET" "-DMOZ_INCLUDE_MOZALLOC_H" "-Dmozilla_throw_gcc_h" "-o" "/builddir/build/BUILD/icecat-102.12.0/objdir/release/build/glslopt-5c0fa2d1e0eec6ca/out/glsl-optimizer/src/compiler/glsl/generate_ir.o" "-c" "glsl-optimizer/src/compiler/glsl/generate_ir.cpp"
 6:51.83 [glslopt 0.1.9] exit status: 0
 6:51.83 [glslopt 0.1.9] running: "/usr/lib64/ccache/g++" "-O1" "-ffunction-sections" "-fdata-sections" "-fPIC" "-m64" "-I/builddir/build/BUILD/icecat-102.12.0/objdir/dist/stl_wrappers" "-I/builddir/build/BUILD/icecat-102.12.0/objdir/dist/system_wrappers" "-include" "/builddir/build/BUILD/icecat-102.12.0/config/gcc_hidden.h" "-U_FORTIFY_SOURCE" "-D_FORTIFY_SOURCE=2" "-fstack-protector-strong" "-DNDEBUG=1" "-DTRIMMED=1" "-I/builddir/build/BUILD/icecat-102.12.0/toolkit/library/rust" "-I/builddir/build/BUILD/icecat-102.12.0/objdir/toolkit/library/rust" "-I/builddir/build/BUILD/icecat-102.12.0/objdir/dist/include" "-I/usr/include/nspr4" "-I/usr/include/nss3" "-I/usr/include/nspr4" "-I/builddir/build/BUILD/icecat-102.12.0/objdir/dist/include/nss" "-I/usr/include/pixman-1" "-DMOZILLA_CLIENT" "-include" "/builddir/build/BUILD/icecat-102.12.0/objdir/mozilla-config.h" "-Wall" "-Wempty-body" "-Wignored-qualifiers" "-Wpointer-arith" "-Wsign-compare" "-Wtype-limits" "-Wunreachable-code" "-Wno-invalid-offsetof" "-Wc++2a-compat" "-Wduplicated-cond" "-Wimplicit-fallthrough" "-Wno-error=maybe-uninitialized" "-Wno-error=deprecated-declarations" "-Wno-error=array-bounds" "-Wno-error=coverage-mismatch" "-Wno-error=free-nonheap-object" "-Wno-multistatement-macros" "-Wno-error=class-memaccess" "-Wno-error=deprecated-copy" "-Wformat" "-Wformat-overflow=2" "-Wno-psabi" "-fno-sized-deallocation" "-fno-aligned-new" "-O2" "-fexceptions" "-g" "-grecord-gcc-switches" "-pipe" "-Wp,-U_FORTIFY_SOURCE,-D_FORTIFY_SOURCE=3" "-Wp,-D_GLIBCXX_ASSERTIONS" "-specs=/usr/lib/rpm/redhat/redhat-hardened-cc1" "-fstack-protector-strong" "-specs=/usr/lib/rpm/redhat/redhat-annobin-cc1" "-m64" "-mtune=generic" "-fasynchronous-unwind-tables" "-fstack-clash-protection" "-fcf-protection" "-fno-omit-frame-pointer" "-mno-omit-leaf-frame-pointer" "-fPIC" "-Wl,-z,relro" "-Wl,-z,now" "-DNSS_PKCS11_3_0_STRICT" "-fpermissive" "-fno-exceptions" "-fPIC" "-fno-rtti" "-ffunction-sections" "-fdata-sections" "-fno-exceptions" "-fno-math-errno" "-pthread" "-pipe" "-gdwarf-4" "-freorder-blocks" "-O2" "-fomit-frame-pointer" "-funwind-tables" "-fno-strict-aliasing" "-ffp-contract=off" "-DMOZILLA_CONFIG_H" "-I" "glsl-optimizer/include" "-I" "glsl-optimizer/src/mesa" "-I" "glsl-optimizer/src/mapi" "-I" "glsl-optimizer/src/compiler" "-I" "glsl-optimizer/src/compiler/glsl" "-I" "glsl-optimizer/src/gallium/auxiliary" "-I" "glsl-optimizer/src/gallium/include" "-I" "glsl-optimizer/src" "-I" "glsl-optimizer/src/util" "-D__STDC_FORMAT_MACROS" "-D_GNU_SOURCE" "-DHAVE_ENDIAN_H" "-DHAVE_PTHREAD" "-DHAVE_TIMESPEC_GET" "-DMOZ_INCLUDE_MOZALLOC_H" "-Dmozilla_throw_gcc_h" "-o" "/builddir/build/BUILD/icecat-102.12.0/objdir/release/build/glslopt-5c0fa2d1e0eec6ca/out/glsl-optimizer/src/compiler/glsl/glsl_lexer.o" "-c" "glsl-optimizer/src/compiler/glsl/glsl_lexer.cpp"
 6:54.54 /usr/lib64/ccache/g++ -o Unified_cpp_docshell_base1.o -c  -I/builddir/build/BUILD/icecat-102.12.0/objdir/dist/stl_wrappers -I/builddir/build/BUILD/icecat-102.12.0/objdir/dist/system_wrappers -include /builddir/build/BUILD/icecat-102.12.0/config/gcc_hidden.h -U_FORTIFY_SOURCE -D_FORTIFY_SOURCE=2 -fstack-protector-strong -DNDEBUG=1 -DTRIMMED=1 -DOS_POSIX=1 -DOS_LINUX=1 -DMOZ_HAS_MOZGLUE -DMOZILLA_INTERNAL_API -DIMPL_LIBXUL -DSTATIC_EXPORTABLE_JS_API -I/builddir/build/BUILD/icecat-102.12.0/docshell/base -I/builddir/build/BUILD/icecat-102.12.0/objdir/docshell/base -I/builddir/build/BUILD/icecat-102.12.0/objdir/ipc/ipdl/_ipdlheaders -I/builddir/build/BUILD/icecat-102.12.0/ipc/chromium/src -I/builddir/build/BUILD/icecat-102.12.0/docshell/shistory -I/builddir/build/BUILD/icecat-102.12.0/dom/base -I/builddir/build/BUILD/icecat-102.12.0/dom/bindings -I/builddir/build/BUILD/icecat-102.12.0/js/xpconnect/src -I/builddir/build/BUILD/icecat-102.12.0/layout/base -I/builddir/build/BUILD/icecat-102.12.0/layout/generic -I/builddir/build/BUILD/icecat-102.12.0/layout/style -I/builddir/build/BUILD/icecat-102.12.0/layout/xul -I/builddir/build/BUILD/icecat-102.12.0/netwerk/base -I/builddir/build/BUILD/icecat-102.12.0/netwerk/protocol/viewsource -I/builddir/build/BUILD/icecat-102.12.0/toolkit/components/browser -I/builddir/build/BUILD/icecat-102.12.0/toolkit/components/find -I/builddir/build/BUILD/icecat-102.12.0/tools/profiler -I/builddir/build/BUILD/icecat-102.12.0/objdir/dist/include -I/usr/include/nspr4 -I/usr/include/nss3 -I/usr/include/nspr4 -I/builddir/build/BUILD/icecat-102.12.0/objdir/dist/include/nss -I/usr/include/pixman-1 -DMOZILLA_CLIENT -include /builddir/build/BUILD/icecat-102.12.0/objdir/mozilla-config.h -Wall -Wempty-body -Wignored-qualifiers -Wpointer-arith -Wsign-compare -Wtype-limits -Wunreachable-code -Wno-invalid-offsetof -Wc++2a-compat -Wduplicated-cond -Wimplicit-fallthrough -Wno-error=maybe-uninitialized -Wno-error=deprecated-declarations -Wno-error=array-bounds -Wno-error=coverage-mismatch -Wno-error=free-nonheap-object -Wno-multistatement-macros -Wno-error=class-memaccess -Wno-error=deprecated-copy -Wformat -Wformat-overflow=2 -Wno-psabi -fno-sized-deallocation -fno-aligned-new -O2 -fexceptions -g -grecord-gcc-switches -pipe -Wp,-U_FORTIFY_SOURCE,-D_FORTIFY_SOURCE=3 -Wp,-D_GLIBCXX_ASSERTIONS -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -fstack-protector-strong -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1 -m64 -mtune=generic -fasynchronous-unwind-tables -fstack-clash-protection -fcf-protection -fno-omit-frame-pointer -mno-omit-leaf-frame-pointer -fPIC -Wl,-z,relro -Wl,-z,now -DNSS_PKCS11_3_0_STRICT -fpermissive -fno-exceptions -fPIC -fno-rtti -ffunction-sections -fdata-sections -fno-exceptions -fno-math-errno -pthread -pipe -gdwarf-4 -freorder-blocks -O2 -fomit-frame-pointer -funwind-tables -fno-strict-aliasing -ffp-contract=off  -MD -MP -MF .deps/Unified_cpp_docshell_base1.o.pp   Unified_cpp_docshell_base1.cpp
 6:56.40 In file included from /builddir/build/BUILD/icecat-102.12.0/objdir/dist/include/mozilla/ProfilerThreadState.h:14,
 6:56.40                  from /builddir/build/BUILD/icecat-102.12.0/objdir/dist/include/mozilla/ProfilerLabels.h:14,
 6:56.40                  from /builddir/build/BUILD/icecat-102.12.0/objdir/dist/include/GeckoProfiler.h:26,
 6:56.40                  from /builddir/build/BUILD/icecat-102.12.0/objdir/dist/include/mozilla/ProfilerRunnable.h:10,
 6:56.40                  from /builddir/build/BUILD/icecat-102.12.0/objdir/dist/include/mozilla/TaskDispatcher.h:14,
 6:56.40                  from /builddir/build/BUILD/icecat-102.12.0/objdir/dist/include/mozilla/TaskQueue.h:16,
 6:56.40                  from /builddir/build/BUILD/icecat-102.12.0/objdir/dist/include/PlatformDecoderModule.h:22,
 6:56.40                  from /builddir/build/BUILD/icecat-102.12.0/objdir/dist/include/PDMFactory.h:12,
 6:56.40                  from /builddir/build/BUILD/icecat-102.12.0/objdir/ipc/ipdl/_ipdlheaders/mozilla/dom/PContentParent.h:20,
 6:56.40                  from /builddir/build/BUILD/icecat-102.12.0/objdir/dist/include/mozilla/dom/ContentParent.h:10,
 6:56.40                  from /builddir/build/BUILD/icecat-102.12.0/docshell/base/BaseHistory.h:9,
 6:56.40                  from /builddir/build/BUILD/icecat-102.12.0/docshell/base/BaseHistory.cpp:7,
 6:56.40                  from Unified_cpp_docshell_base0.cpp:2:
 6:56.40 /builddir/build/BUILD/icecat-102.12.0/objdir/dist/include/mozilla/ProfilerThreadRegistration.h:217:38: warning: declaration of ‘mozilla::profiler::ThreadRegistration::OnThreadRef::RWOnThreadWithLock mozilla::profiler::ThreadRegistration::OnThreadRef::LockedRWOnThread()’ changes meaning of ‘LockedRWOnThread’ [-Wchanges-meaning]
 6:56.40   217 |     [[nodiscard]] RWOnThreadWithLock LockedRWOnThread() {
 6:56.40       |                                      ^~~~~~~~~~~~~~~~
 6:56.40 /builddir/build/BUILD/icecat-102.12.0/objdir/dist/include/mozilla/ProfilerThreadRegistration.h:213:7: note: used here to mean ‘using mozilla::profiler::ThreadRegistration::LockedRWOnThread = class mozilla::profiler::ThreadRegistrationLockedRWOnThread’
 6:56.40   213 |       LockedRWOnThread& mLockedRWOnThread;
 6:56.40       |       ^~~~~~~~~~~~~~~~
 6:56.40 /builddir/build/BUILD/icecat-102.12.0/objdir/dist/include/mozilla/ProfilerThreadRegistration.h:63:9: note: declared here
 6:56.40    63 |   using LockedRWOnThread = ThreadRegistrationLockedRWOnThread;
 6:56.40       |         ^~~~~~~~~~~~~~~~
 6:56.40 In file included from /builddir/build/BUILD/icecat-102.12.0/objdir/dist/include/mozilla/ProfilerThreadState.h:15:
 6:56.40 /builddir/build/BUILD/icecat-102.12.0/objdir/dist/include/mozilla/ProfilerThreadRegistry.h:180:43: warning: declaration of ‘mozilla::profiler::ThreadRegistry::OffThreadRef::RWFromAnyThreadWithLock mozilla::profiler::ThreadRegistry::OffThreadRef::LockedRWFromAnyThread()’ changes meaning of ‘LockedRWFromAnyThread’ [-Wchanges-meaning]
 6:56.40   180 |     [[nodiscard]] RWFromAnyThreadWithLock LockedRWFromAnyThread() {
 6:56.40       |                                           ^~~~~~~~~~~~~~~~~~~~~
 6:56.40 /builddir/build/BUILD/icecat-102.12.0/objdir/dist/include/mozilla/ProfilerThreadRegistry.h:176:7: note: used here to mean ‘using mozilla::profiler::ThreadRegistry::LockedRWFromAnyThread = class mozilla::profiler::ThreadRegistrationLockedRWFromAnyThread’
 6:56.40   176 |       LockedRWFromAnyThread& mLockedRWFromAnyThread;
 6:56.40       |       ^~~~~~~~~~~~~~~~~~~~~
 6:56.40 /builddir/build/BUILD/icecat-102.12.0/objdir/dist/include/mozilla/ProfilerThreadRegistry.h:33:9: note: declared here
 6:56.40    33 |   using LockedRWFromAnyThread = ThreadRegistrationLockedRWFromAnyThread;
 6:56.40       |         ^~~~~~~~~~~~~~~~~~~~~
 6:56.44 [glslopt 0.1.9] exit status: 0
 6:56.44 [glslopt 0.1.9] running: "/usr/lib64/ccache/g++" "-O1" "-ffunction-sections" "-fdata-sections" "-fPIC" "-m64" "-I/builddir/build/BUILD/icecat-102.12.0/objdir/dist/stl_wrappers" "-I/builddir/build/BUILD/icecat-102.12.0/objdir/dist/system_wrappers" "-include" "/builddir/build/BUILD/icecat-102.12.0/config/gcc_hidden.h" "-U_FORTIFY_SOURCE" "-D_FORTIFY_SOURCE=2" "-fstack-protector-strong" "-DNDEBUG=1" "-DTRIMMED=1" "-I/builddir/build/BUILD/icecat-102.12.0/toolkit/library/rust" "-I/builddir/build/BUILD/icecat-102.12.0/objdir/toolkit/library/rust" "-I/builddir/build/BUILD/icecat-102.12.0/objdir/dist/include" "-I/usr/include/nspr4" "-I/usr/include/nss3" "-I/usr/include/nspr4" "-I/builddir/build/BUILD/icecat-102.12.0/objdir/dist/include/nss" "-I/usr/include/pixman-1" "-DMOZILLA_CLIENT" "-include" "/builddir/build/BUILD/icecat-102.12.0/objdir/mozilla-config.h" "-Wall" "-Wempty-body" "-Wignored-qualifiers" "-Wpointer-arith" "-Wsign-compare" "-Wtype-limits" "-Wunreachable-code" "-Wno-invalid-offsetof" "-Wc++2a-compat" "-Wduplicated-cond" "-Wimplicit-fallthrough" "-Wno-error=maybe-uninitialized" "-Wno-error=deprecated-declarations" "-Wno-error=array-bounds" "-Wno-error=coverage-mismatch" "-Wno-error=free-nonheap-object" "-Wno-multistatement-macros" "-Wno-error=class-memaccess" "-Wno-error=deprecated-copy" "-Wformat" "-Wformat-overflow=2" "-Wno-psabi" "-fno-sized-deallocation" "-fno-aligned-new" "-O2" "-fexceptions" "-g" "-grecord-gcc-switches" "-pipe" "-Wp,-U_FORTIFY_SOURCE,-D_FORTIFY_SOURCE=3" "-Wp,-D_GLIBCXX_ASSERTIONS" "-specs=/usr/lib/rpm/redhat/redhat-hardened-cc1" "-fstack-protector-strong" "-specs=/usr/lib/rpm/redhat/redhat-annobin-cc1" "-m64" "-mtune=generic" "-fasynchronous-unwind-tables" "-fstack-clash-protection" "-fcf-protection" "-fno-omit-frame-pointer" "-mno-omit-leaf-frame-pointer" "-fPIC" "-Wl,-z,relro" "-Wl,-z,now" "-DNSS_PKCS11_3_0_STRICT" "-fpermissive" "-fno-exceptions" "-fPIC" "-fno-rtti" "-ffunction-sections" "-fdata-sections" "-fno-exceptions" "-fno-math-errno" "-pthread" "-pipe" "-gdwarf-4" "-freorder-blocks" "-O2" "-fomit-frame-pointer" "-funwind-tables" "-fno-strict-aliasing" "-ffp-contract=off" "-DMOZILLA_CONFIG_H" "-I" "glsl-optimizer/include" "-I" "glsl-optimizer/src/mesa" "-I" "glsl-optimizer/src/mapi" "-I" "glsl-optimizer/src/compiler" "-I" "glsl-optimizer/src/compiler/glsl" "-I" "glsl-optimizer/src/gallium/auxiliary" "-I" "glsl-optimizer/src/gallium/include" "-I" "glsl-optimizer/src" "-I" "glsl-optimizer/src/util" "-D__STDC_FORMAT_MACROS" "-D_GNU_SOURCE" "-DHAVE_ENDIAN_H" "-DHAVE_PTHREAD" "-DHAVE_TIMESPEC_GET" "-DMOZ_INCLUDE_MOZALLOC_H" "-Dmozilla_throw_gcc_h" "-o" "/builddir/build/BUILD/icecat-102.12.0/objdir/release/build/glslopt-5c0fa2d1e0eec6ca/out/glsl-optimizer/src/compiler/glsl/glsl_optimizer.o" "-c" "glsl-optimizer/src/compiler/glsl/glsl_optimizer.cpp"
 6:56.69 [glslopt 0.1.9] cargo:warning=glsl-optimizer/src/compiler/glsl/glsl_optimizer.cpp: In constructor ‘glslopt_shader::glslopt_shader()’:
 6:56.69 [glslopt 0.1.9] cargo:warning=glsl-optimizer/src/compiler/glsl/glsl_optimizer.cpp:210:17: warning: ‘glslopt_shader::status’ will be initialized after [-Wreorder]
 6:56.69 [glslopt 0.1.9] cargo:warning=  210 |         bool    status;
 6:56.69 [glslopt 0.1.9] cargo:warning=      |                 ^~~~~~
 6:56.69 [glslopt 0.1.9] cargo:warning=glsl-optimizer/src/compiler/glsl/glsl_optimizer.cpp:202:13: warning:   ‘int glslopt_shader::uniformCount’ [-Wreorder]
 6:56.69 [glslopt 0.1.9] cargo:warning=  202 |         int uniformCount, uniformsSize;
 6:56.69 [glslopt 0.1.9] cargo:warning=      |             ^~~~~~~~~~~~
 6:56.69 [glslopt 0.1.9] cargo:warning=glsl-optimizer/src/compiler/glsl/glsl_optimizer.cpp:154:9: warning:   when initialized here [-Wreorder]
 6:56.69 [glslopt 0.1.9] cargo:warning=  154 |         glslopt_shader ()
 6:56.69 [glslopt 0.1.9] cargo:warning=      |         ^~~~~~~~~~~~~~
 6:56.85 [glslopt 0.1.9] exit status: 0
 6:56.85 [glslopt 0.1.9] running: "/usr/lib64/ccache/g++" "-O1" "-ffunction-sections" "-fdata-sections" "-fPIC" "-m64" "-I/builddir/build/BUILD/icecat-102.12.0/objdir/dist/stl_wrappers" "-I/builddir/build/BUILD/icecat-102.12.0/objdir/dist/system_wrappers" "-include" "/builddir/build/BUILD/icecat-102.12.0/config/gcc_hidden.h" "-U_FORTIFY_SOURCE" "-D_FORTIFY_SOURCE=2" "-fstack-protector-strong" "-DNDEBUG=1" "-DTRIMMED=1" "-I/builddir/build/BUILD/icecat-102.12.0/toolkit/library/rust" "-I/builddir/build/BUILD/icecat-102.12.0/objdir/toolkit/library/rust" "-I/builddir/build/BUILD/icecat-102.12.0/objdir/dist/include" "-I/usr/include/nspr4" "-I/usr/include/nss3" "-I/usr/include/nspr4" "-I/builddir/build/BUILD/icecat-102.12.0/objdir/dist/include/nss" "-I/usr/include/pixman-1" "-DMOZILLA_CLIENT" "-include" "/builddir/build/BUILD/icecat-102.12.0/objdir/mozilla-config.h" "-Wall" "-Wempty-body" "-Wignored-qualifiers" "-Wpointer-arith" "-Wsign-compare" "-Wtype-limits" "-Wunreachable-code" "-Wno-invalid-offsetof" "-Wc++2a-compat" "-Wduplicated-cond" "-Wimplicit-fallthrough" "-Wno-error=maybe-uninitialized" "-Wno-error=deprecated-declarations" "-Wno-error=array-bounds" "-Wno-error=coverage-mismatch" "-Wno-error=free-nonheap-object" "-Wno-multistatement-macros" "-Wno-error=class-memaccess" "-Wno-error=deprecated-copy" "-Wformat" "-Wformat-overflow=2" "-Wno-psabi" "-fno-sized-deallocation" "-fno-aligned-new" "-O2" "-fexceptions" "-g" "-grecord-gcc-switches" "-pipe" "-Wp,-U_FORTIFY_SOURCE,-D_FORTIFY_SOURCE=3" "-Wp,-D_GLIBCXX_ASSERTIONS" "-specs=/usr/lib/rpm/redhat/redhat-hardened-cc1" "-fstack-protector-strong" "-specs=/usr/lib/rpm/redhat/redhat-annobin-cc1" "-m64" "-mtune=generic" "-fasynchronous-unwind-tables" "-fstack-clash-protection" "-fcf-protection" "-fno-omit-frame-pointer" "-mno-omit-leaf-frame-pointer" "-fPIC" "-Wl,-z,relro" "-Wl,-z,now" "-DNSS_PKCS11_3_0_STRICT" "-fpermissive" "-fno-exceptions" "-fPIC" "-fno-rtti" "-ffunction-sections" "-fdata-sections" "-fno-exceptions" "-fno-math-errno" "-pthread" "-pipe" "-gdwarf-4" "-freorder-blocks" "-O2" "-fomit-frame-pointer" "-funwind-tables" "-fno-strict-aliasing" "-ffp-contract=off" "-DMOZILLA_CONFIG_H" "-I" "glsl-optimizer/include" "-I" "glsl-optimizer/src/mesa" "-I" "glsl-optimizer/src/mapi" "-I" "glsl-optimizer/src/compiler" "-I" "glsl-optimizer/src/compiler/glsl" "-I" "glsl-optimizer/src/gallium/auxiliary" "-I" "glsl-optimizer/src/gallium/include" "-I" "glsl-optimizer/src" "-I" "glsl-optimizer/src/util" "-D__STDC_FORMAT_MACROS" "-D_GNU_SOURCE" "-DHAVE_ENDIAN_H" "-DHAVE_PTHREAD" "-DHAVE_TIMESPEC_GET" "-DMOZ_INCLUDE_MOZALLOC_H" "-Dmozilla_throw_gcc_h" "-o" "/builddir/build/BUILD/icecat-102.12.0/objdir/release/build/glslopt-5c0fa2d1e0eec6ca/out/glsl-optimizer/src/compiler/glsl/glsl_parser_extras.o" "-c" "glsl-optimizer/src/compiler/glsl/glsl_parser_extras.cpp"
 6:57.28 [glslopt 0.1.9] cargo:warning=glsl-optimizer/src/compiler/glsl/glsl_parser_extras.cpp:608:1: warning: ‘bool has_SUN_multi_draw_arrays(const gl_context*, gl_api, uint8_t)’ defined but not used [-Wunused-function]
 6:57.28 [glslopt 0.1.9] cargo:warning=  608 | has_##name_str(const struct gl_context *ctx, gl_api api, uint8_t version) \
 6:57.28 [glslopt 0.1.9] cargo:warning=      | ^~~~
 6:57.28 [glslopt 0.1.9] cargo:warning=glsl-optimizer/src/mesa/main/extensions_table.h:485:1: note: in expansion of macro ‘EXT’
 6:57.28 [glslopt 0.1.9] cargo:warning=  485 | EXT(SUN_multi_draw_arrays                   , dummy_true                             , GLL,  x ,  x ,  x , 1999)
 6:57.28 [glslopt 0.1.9] cargo:warning=      | ^~~
 6:57.28 [glslopt 0.1.9] cargo:warning=glsl-optimizer/src/compiler/glsl/glsl_parser_extras.cpp:608:1: warning: ‘bool has_SGIS_texture_lod(const gl_context*, gl_api, uint8_t)’ defined but not used [-Wunused-function]
 6:57.28 [glslopt 0.1.9] cargo:warning=  608 | has_##name_str(const struct gl_context *ctx, gl_api api, uint8_t version) \
 6:57.28 [glslopt 0.1.9] cargo:warning=      | ^~~~
 6:57.28 [glslopt 0.1.9] cargo:warning=glsl-optimizer/src/mesa/main/extensions_table.h:483:1: note: in expansion of macro ‘EXT’
 6:57.28 [glslopt 0.1.9] cargo:warning=  483 | EXT(SGIS_texture_lod                        , dummy_true                             , GLL,  x ,  x ,  x , 1997)
 6:57.28 [glslopt 0.1.9] cargo:warning=      | ^~~
 6:57.28 [glslopt 0.1.9] cargo:warning=glsl-optimizer/src/compiler/glsl/glsl_parser_extras.cpp:608:1: warning: ‘bool has_SGIS_texture_edge_clamp(const gl_context*, gl_api, uint8_t)’ defined but not used [-Wunused-function]
 6:57.28 [glslopt 0.1.9] cargo:warning=  608 | has_##name_str(const struct gl_context *ctx, gl_api api, uint8_t version) \
 6:57.28 [glslopt 0.1.9] cargo:warning=      | ^~~~
 6:57.28 [glslopt 0.1.9] cargo:warning=glsl-optimizer/src/mesa/main/extensions_table.h:482:1: note: in expansion of macro ‘EXT’
 6:57.28 [glslopt 0.1.9] cargo:warning=  482 | EXT(SGIS_texture_edge_clamp                 , dummy_true                             , GLL,  x ,  x ,  x , 1997)
 6:57.28 [glslopt 0.1.9] cargo:warning=      | ^~~
 6:57.28 [glslopt 0.1.9] cargo:warning=glsl-optimizer/src/compiler/glsl/glsl_parser_extras.cpp:608:1: warning: ‘bool has_SGIS_texture_border_clamp(const gl_context*, gl_api, uint8_t)’ defined but not used [-Wunused-function]
 6:57.28 [glslopt 0.1.9] cargo:warning=  608 | has_##name_str(const struct gl_context *ctx, gl_api api, uint8_t version) \
 6:57.28 [glslopt 0.1.9] cargo:warning=      | ^~~~
 6:57.28 [glslopt 0.1.9] cargo:warning=glsl-optimizer/src/mesa/main/extensions_table.h:481:1: note: in expansion of macro ‘EXT’
 6:57.29 [glslopt 0.1.9] cargo:warning=  481 | EXT(SGIS_texture_border_clamp               , ARB_texture_border_clamp               , GLL,  x ,  x ,  x , 1997)
 6:57.29 [glslopt 0.1.9] cargo:warning=      | ^~~
 6:57.29 [glslopt 0.1.9] cargo:warning=glsl-optimizer/src/compiler/glsl/glsl_parser_extras.cpp:608:1: warning: ‘bool has_SGIS_generate_mipmap(const gl_context*, gl_api, uint8_t)’ defined but not used [-Wunused-function]
 6:57.29 [glslopt 0.1.9] cargo:warning=  608 | has_##name_str(const struct gl_context *ctx, gl_api api, uint8_t version) \
 6:57.29 [glslopt 0.1.9] cargo:warning=      | ^~~~
 6:57.29 [glslopt 0.1.9] cargo:warning=glsl-optimizer/src/mesa/main/extensions_table.h:480:1: note: in expansion of macro ‘EXT’
 6:57.29 [glslopt 0.1.9] cargo:warning=  480 | EXT(SG

Comment 2 Antonio T. sagitter 2023-06-07 18:20:32 UTC
The errors should be generated by current version of cbindgen

Comment 3 Fedora Update System 2023-06-11 10:16:12 UTC
FEDORA-2023-d4e60da91a has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2023-d4e60da91a

Comment 4 Fedora Update System 2023-06-12 01:24:01 UTC
FEDORA-2023-0c830ceb5d has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-0c830ceb5d`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-0c830ceb5d

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2023-06-12 02:14:13 UTC
FEDORA-2023-d4e60da91a has been pushed to the Fedora 38 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-d4e60da91a`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-d4e60da91a

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2023-06-20 00:34:23 UTC
FEDORA-2023-0c830ceb5d has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 7 Fedora Update System 2023-06-20 00:35:32 UTC
FEDORA-2023-d4e60da91a has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.